petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSSetExactFinalTime

Determines whether to adapt the final time step to match the exact final time, interpolate solution to the exact final time, or just return at the final time TS computed.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetExactFinalTime(TS ts,TSExactFinalTimeOption eftopt)

Logically Collective on TS

### Input Parameter

| ts | - the time-step context
| eftopt | - exact final time option

     TS_EXACTFINALTIME_STEPOVER    - Don't do anything if final time is exceeded

     TS_EXACTFINALTIME_INTERPOLATE - Interpolate back to final time

     TS_EXACTFINALTIME_MATCHSTEP - Adapt final time step to match the final time

### Options Database

-ts_exact_final_time <stepover,interpolate,matchstep> -select the final step at runtime

Warning: If you use the option TS_EXACTFINALTIME_STEPOVER the solution may be at a very different time then the final time you selected.

### See Also

TSExactFinalTimeOption, TSGetExactFinalTime()

### Level

beginner

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages